
plugins {
    id 'com.android.library'
}

android {
    compileSdk 31

    defaultConfig {
        minSdk 21
        targetSdk 26

         consumerProguardFiles "consumer-rules.pro"
    }


    buildTypes {
        release {
            minifyEnabled rootProject.ext.module.minifyEnabled
            proguardFiles 'proguard-rules.pro'
        }
        debug {
            minifyEnabled rootProject.ext.module.minifyEnabled
            proguardFiles 'proguard-rules.pro'
        }
    }


    buildFeatures {
        buildConfig false
    }

    lintOptions {
        abortOnError false
    }

    dexOptions {
        preDexLibraries false
    }
    buildFeatures {
        buildConfig false
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_7
        targetCompatibility JavaVersion.VERSION_1_7
    }

}







android.libraryVariants.all { variant ->
    if (variant.buildType.name == 'release'){
        variant.outputs.all {

            outputFileName = "$PUBLISH_ARTIFACT_ID"+ "-" + "$PUBLISH_VERSION" + ".aar"
        }
    }else{
        variant.outputs.all {
            outputFileName = "$PUBLISH_ARTIFACT_ID" + "_"+ variant.buildType.name + "$PUBLISH_VERSION" + ".aar"
        }
    }

}





dependencies {


    compileOnly project(':library_base')


    compileOnly project(':library_core')


    compileOnly project(':library_channel')



    compileOnly files('../hnqj/libs/oaid_sdk_1.0.25.aar')



}

apply from: 'publish.gradle'